Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Aug 10, 2026

main
1.0
Compare

API structure has changed

16 structure changes including:
16 Breaking changes
16 Removals
Removed 16 Breaking
DELETE /api/v1/organizations/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /api/v1/projects/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/organizations/{id}/service-accounts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/organizations/{id}/service-accounts/aggregate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/organizations/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/projects/{id}/service-accounts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/v1/projects/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /api/v1/organizations/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PATCH /api/v1/projects/{id}/service-accounts/{client_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/oauth/token
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/organizations/{id}/service-accounts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/organizations/{id}/service-accounts/{client_id}/rotate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/projects/{id}/service-accounts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/v1/projects/{id}/service-accounts/{client_id}/rotate
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /api/v1/organizations/{id}/service-accounts/{client_id}/ip-access-list
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /api/v1/projects/{id}/service-accounts/{client_id}/ip-access-list
  • Removing a resource is always breaking unless it was deprecated before
    Breaking